---
id: 67332e9debcc820d18e3e169
title: Step 12
challengeType: 0
dashedName: step-12
---

# --description--

Add a new selector that changes the `background-color` of the `.card` element to `khaki` when it is hovered over.

# --hints--

You should have a `.card:hover` selector.

```js
assert.exists(new __helpers.CSSHelp(document).getStyle(".card:hover"));
```

The `.card:hover` selector should have a `background-color` set to `khaki`.

```js
assert.oneOf(new __helpers.CSSHelp(document).getStyle(".card:hover")?.getPropertyValue("background-color").toLowerCase(), ["khaki", "#f0e68c", "rgb(240, 230, 140)", "hsl(54, 77%, 75%)"]);
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Greeting Card</title>
    <link href="styles.css" rel="stylesheet">
  </head>
  <body>
    <div class="card" id="greeting-card">
      <h1>Happy Birthday!</h1>
      <p class="message">
        Wishing you all the happiness and joy on your special day!
      </p>
      <div class="card-links">
        <a href="#send" class="send-link">Send Card</a>
        <a href="#share" class="share-link">Share on Social Media</a>
      </div>
    </div>
    <section id="send">
      <h2>Sending your card...</h2>
      <p>Card successfully sent to your recipient!</p>
    </section>
    <section id="share">
      <h2>Sharing your card...</h2>
      <p>Your card was shared on social media!</p>
    </section>
  </body>
</html>
```

```css
body {
  font-family: Arial, sans-serif;
  padding: 40px;
  text-align: center;
  background-color: brown;
}

.card {
  background-color: white;
  max-width: 400px;
  padding: 40px;
  margin: 0 auto;
  border-radius: 10px;
  box-shadow: 0 4px 8px gray;
}

--fcc-editable-region--

--fcc-editable-region--
```
